cURL
curl --request GET \
--url https://api.woox.io/v3/trade/orders \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-signature: <x-api-signature>' \
--header 'x-api-timestamp: <x-api-timestamp>'import requests
url = "https://api.woox.io/v3/trade/orders"
headers = {
"x-api-key": "<x-api-key>",
"x-api-signature": "<x-api-signature>",
"x-api-timestamp": "<x-api-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-signature': '<x-api-signature>',
'x-api-timestamp': '<x-api-timestamp>'
}
};
fetch('https://api.woox.io/v3/trade/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"meta": {
"total": 31,
"recordsPerPage": 25,
"currentPage": 1
},
"rows": [
{
"symbol": "PERP_BTC_USDT",
"status": "FILLED",
"side": "SELL",
"positionSide": "BOTH",
"createdTime": 1578565539808,
"orderId": 135,
"orderTag": "default",
"price": "123",
"type": "LIMIT",
"quantity": "0.1",
"amount": "null",
"visible": "0.1",
"executed": "0.1",
"totalFee": "0.00123",
"feeAsset": "USDT",
"totalRebate": 0,
"rebateCurrency": "USDT",
"clientOrderId": 0,
"reduceOnly": false,
"realizedPnl": "2",
"averageExecutedPrice": "123",
},
...
]
},
"timestamp": 1721351502594
}
Trading
Get orders
get orders
GET
/
v3
/
trade
/
orders
cURL
Limit: 10 requests per 1 second
Get orders by customizable conditions. For filtering by status, one can reference special bundled statuses below for ease of access of open (i.e. INCOMPLETE) orders or COMPLETED orders.
- INCOMPLETE = NEW + PARTIAL_FILLED
- COMPLETED = CANCELLED + FILLED + REJECTED
{
"success": true,
"data": {
"meta": {
"total": 31,
"recordsPerPage": 25,
"currentPage": 1
},
"rows": [
{
"symbol": "PERP_BTC_USDT",
"status": "FILLED",
"side": "SELL",
"positionSide": "BOTH",
"createdTime": 1578565539808,
"orderId": 135,
"orderTag": "default",
"price": "123",
"type": "LIMIT",
"quantity": "0.1",
"amount": "null",
"visible": "0.1",
"executed": "0.1",
"totalFee": "0.00123",
"feeAsset": "USDT",
"totalRebate": 0,
"rebateCurrency": "USDT",
"clientOrderId": 0,
"reduceOnly": false,
"realizedPnl": "2",
"averageExecutedPrice": "123",
},
...
]
},
"timestamp": 1721351502594
}
Headers
Example:
"abcdef123456"
Example:
"signaturestring"
Example:
"1718943200000"
Query Parameters
Symbol name
BUY/SELL
BOTH for one way mode; LONG or SHORT for hedge mode; Only applicable to perpetual instruments
LIMIT/MARKET/IOC/FOK/POST_ONLY/LIQUIDATE/RPI/LIQUIDATE_BLP/ADL
Order tag
Whether to return order’s realized pnl; Note that realized PnL is only calculated for Perpetual close orders.
NEW/CANCELLED/PARTIAL_FILLED/FILLED/REJECTED/INCOMPLETE/COMPLETED
Start timestamp in Unix timestamp format in milliseconds
End timestamp in Unix timestamp format in milliseconds
Page number
Data size per page, max 500
Required range:
x <= 500⌘I